Windows 10 and F-Secure Warning

Warning to Windows 10 users

The current version of F-Secure available from the ITS webpages is not compatible with Windows 10. It may crash and possible damage you Windows 10.

Do not Install, until this has been resolved.

Windows 10 has built in anti-virus (Defender) which will provide reasonable protection, until a compatible version of F-Secure is available.